Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.appengine.api.search
Enum SearchRequest.CursorType

    java.lang.Object
      java.lang.Enum<SearchRequest.CursorType>
          com.google.appengine.api.search.SearchRequest.CursorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SearchRequest.CursorType>

Enclosing class:
  SearchRequest

    public static enum SearchRequest.CursorType

extends java.lang.Enum<SearchRequest.CursorType>

Use a cursor returned from a previous set of search results as a starting point to retrieve the next set of results. This can get you better performance, and also improves the consistency of pagination through index updates.

Enum Constant Summary
`NONE` No cursor will be returned.
`RESPONSE_CURSOR` A single cursor will be returned in the `SearchResponse` to continue from the end of the results.
`RESULT_CURSOR` One cursor will be returned with each `SearchResult` so search continue after any result.

Method Summary
`static SearchRequest.CursorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SearchRequest.CursorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SearchRequest.CursorType NONE

  No cursor will be returned.

### RESPONSE_CURSOR

    public static final SearchRequest.CursorType RESPONSE_CURSOR

  A single cursor will be returned in the `SearchResponse` to continue from the end of the results.

### RESULT_CURSOR

    public static final SearchRequest.CursorType RESULT_CURSOR

  One cursor will be returned with each `SearchResult` so search continue after any result.

Method Detail

### values

    public static SearchRequest.CursorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SearchRequest.CursorType c : SearchRequest.CursorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SearchRequest.CursorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD